Skip to main content
GET
/
v2
/
pnl
/
wallets
/
{wallet}
/
tokens
/
{token}
SDK
import { Client } from '@solana-tracker/data-api';

const client = new Client({ apiKey: 'YOUR_API_KEY' });

const data = await client.getPnlV2WalletTokenPosition('FbMxP3GVq8TQ36nbYgx4NP9iygMpwAwFWJwW81ioCiSF', '6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN');
{
  "wallet": "CyaE1VxvBrahnPWkqm5VsdCvyS2QmNht2UFrKJHga54o",
  "identity": {
    "name": "Cented",
    "twitter": "@Cented7",
    "avatar": "https://kol-avatar.solanatracker.io/CyaE1VxvBrahnPWkqm5VsdCvyS2QmNht2UFrKJHga54o",
    "platforms": [
      "axiom",
      "bloom"
    ],
    "type": "kol",
    "tags": [
      "kol",
      "axiom",
      "bloom"
    ]
  },
  "pnlMode": "strict",
  "token": "41kjWDNs9gfJww2FtTUYKk3ZRLRvokSxHNhfXTsapump",
  "pnl": {
    "realized": 62.77,
    "realizedRaw": 62.77,
    "unrealized": 0,
    "total": 62.77
  },
  "invested": 305.23,
  "proceeds": 368,
  "roi": 20.56,
  "current": {
    "balance": 0,
    "costBasis": 0,
    "value": 0,
    "price": 0.000002870182480858,
    "avgCost": 0
  },
  "volume": {
    "tokensBought": 27789808.22406,
    "tokensSold": 27789808.22406,
    "buyUsd": 305.23,
    "sellUsd": 368
  },
  "averages": {
    "buy": 101.74,
    "sell": 368
  },
  "counts": {
    "buys": 3,
    "sells": 1,
    "total": 4
  },
  "timing": {
    "firstBuy": 1779724371752,
    "lastBuy": 1779724381730,
    "firstSell": 1779724398824,
    "lastSell": 1779724398824,
    "firstTrade": 1779724371752,
    "lastTrade": 1779724398824,
    "holdTimeSecs": 27
  },
  "meta": {
    "symbol": "T&J",
    "name": "Tom & Jerry",
    "price": 0.000002870182480858,
    "marketCap": 2870.18,
    "liquidity": 5620.34,
    "primaryMarket": "pumpfun"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.solanatracker.io/llms.txt

Use this file to discover all available pages before exploring further.

SDK Example

import { Client } from '@solana-tracker/data-api';

const client = new Client({ apiKey: 'YOUR_API_KEY' });

const data = await client.getPnlV2WalletTokenPosition('FbMxP3GVq8TQ36nbYgx4NP9iygMpwAwFWJwW81ioCiSF', '6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN');

Authorizations

x-api-key
string
header
required

API Key for authentication

Path Parameters

wallet
string
required

Solana wallet address (base58, 32-44 characters).

Pattern: ^[1-9A-HJ-NP-Za-km-z]{32,44}$
token
string
required

Solana token mint address (base58, 32-44 characters).

Pattern: ^[1-9A-HJ-NP-Za-km-z]{32,44}$

Query Parameters

pnlMode
enum<string>
default:strict

How to treat positions flagged by the invalid PnL heuristic. strict zeros them out, adjusted caps them to a cost-basis-aware value, and raw leaves realized PnL untouched. Aliases pnl_mode and mode are also accepted by the API.

Available options:
strict,
adjusted,
raw

Response

Successful response.

A single token position for a wallet.

wallet
string
identity
object

Unified wallet identity. Only fields with known values are returned; a wallet can carry multiple tags at once.

pnlMode
enum<string>
Available options:
strict,
adjusted,
raw
token
string

Token mint address (base58).

pnl
object

Realized, unrealized, and total profit/loss in USD.

invested
number | null

Total cost basis (USD spent buying this token).

proceeds
number | null

Total USD received from sales of this token.

roi
number | null

Return on investment percentage.

current
object
volume
object
averages
object
counts
object
timing
object
meta
object

Basic token metadata and current market data.

portfolioPercent
number | null

This position's value as a percentage of the wallet's total holdings value. Only present on the positions endpoint.